- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# QHttpHeader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 69 of file qhttp.h.

`#include <qhttp.h>`

Inheritance diagram for QHttpHeader:
[legend]

List of all members.

## Public Member Functions
| QHttpHeader ()
| QHttpHeader (const QHttpHeader &header)
| QHttpHeader (const QString &str)
virtual | ~QHttpHeader ()
QHttpHeader & | operator= (const QHttpHeader &h)
void | setValue (const QString &key, const QString &value)
void | setValues (const QList< QPair< QString, QString > > &values)
void | addValue (const QString &key, const QString &value)
QList< QPair< QString, QString > > | values () const
bool | hasKey (const QString &key) const
QStringList | keys () const
QString | value (const QString &key) const
QStringList | allValues (const QString &key) const
void | removeValue (const QString &key)
void | removeAllValues (const QString &key)
bool | hasContentLength () const
uint | contentLength () const
void | setContentLength (int len)
bool | hasContentType () const
QString | contentType () const
void | setContentType (const QString &type)
virtual QString | toString () const
bool | isValid () const
virtual int | majorVersion () const =0
virtual int | minorVersion () const =0
## Protected Member Functions
virtual bool | parseLine (const QString &line, int number)
bool | parse (const QString &str)
void | setValid (bool)
| QHttpHeader (QHttpHeaderPrivate &dd, const QString &str=QString())
| QHttpHeader (QHttpHeaderPrivate &dd, const QHttpHeader &header)
## Protected Attributes
QScopedPointer < QHttpHeaderPrivate > | d_ptr

## Constructor & Destructor Documentation

QHttpHeader | ( |  | ) |

QHttpHeader | ( | const QHttpHeader & | header | ) |

QHttpHeader | ( | const QString & | str | ) |

virtual ~QHttpHeader | ( |  | ) | `[virtual]`

QHttpHeader | ( | QHttpHeaderPrivate & | dd,
|  | const QString & | str = `QString()`
| ) |  | `[protected]`

QHttpHeader | ( | QHttpHeaderPrivate & | dd,
|  | const QHttpHeader & | header
| ) |  | `[protected]`

## Member Function Documentation

QHttpHeader& operator= | ( | const QHttpHeader & | h | ) |

void setValue | ( | const QString & | key,
|  | const QString & | value
| ) |  |

Search for all occurrences

void setValues | ( | const QList< QPair< QString, QString > > & | values | ) |

Search for all occurrences

void addValue | ( | const QString & | key,
|  | const QString & | value
| ) |  |

Search for all occurrences

QList<QPair<QString, QString> > values | ( |  | ) | const

Search for all occurrences

bool hasKey | ( | const QString & | key | ) | const

Search for all occurrences

QStringList keys | ( |  | ) | const

Search for all occurrences

QString value | ( | const QString & | key | ) | const

Search for all occurrences

QStringList allValues | ( | const QString & | key | ) | const

Search for all occurrences

void removeValue | ( | const QString & | key | ) |

Search for all occurrences

void removeAllValues | ( | const QString & | key | ) |

Search for all occurrences

bool hasContentLength | ( |  | ) | const

Search for all occurrences

uint contentLength | ( |  | ) | const

Search for all occurrences

void setContentLength | ( | int | len | ) |

Search for all occurrences

bool hasContentType | ( |  | ) | const

Search for all occurrences

QString contentType | ( |  | ) | const

Search for all occurrences

void setContentType | ( | const QString & | type | ) |

Search for all occurrences

virtual QString toString | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented in QHttpResponseHeader, and QHttpRequestHeader.

bool isValid | ( |  | ) | const

Search for all occurrences

virtual int majorVersion | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QHttpResponseHeader, and QHttpRequestHeader.

virtual int minorVersion | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QHttpResponseHeader, and QHttpRequestHeader.

virtual bool parseLine | ( | const QString & | line,
|  | int | number
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented in QHttpResponseHeader, and QHttpRequestHeader.

bool parse | ( | const QString & | str | ) | `[protected]`

Search for all occurrences

void setValid | ( | bool |  | ) | `[protected]`

Search for all occurrences

## Member Data Documentation

QScopedPointer<QHttpHeaderPrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 112 of file qhttp.h.

The documentation for this class was generated from the following file:

- QtNetwork/qhttp.h

QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader
QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader QHttpHeader